Subject: bug#937: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: [email-masked]
Date: Sun, 25 Jan 2026 19:03:54 +0000

On Sunday, January 25th, 2026 at 12:51, Andrew Bower <[email-masked]> wrote:
> Just to confirm this with you - when you added '--verbose' to
> START_ARGS, did the output confirm to you:
> 
> -> Notification => ready for service.
> 
> 
> ? If you only relied on reboot then 'service elogind start' should show
> this.

This is correct; with --verbose in START_ARGS, I do see this "ready for service" message upon `service elogind restart`.

Also, man sd_notify has interesting notes about $NOTIFY_SOCKET w/re: return values of calls re: status messages and supporting the various schemes of service managers, but I don't have enough knowledge to know if it's pertinent.

I'm happy to test any branch or patch made available, but drumming one up myself is unlikely right now.

Thanks!

--
Nathan